/**
  @file       base.ottocity.css
  @brief      all base 樣式, 包含 css reset 歸零, font-size, font-family...
  @date       2020-03-25: Chiuhua + 191001009, Create
	@date       2020-05-28: Chiuhua # 191001009, 英文預設字型調整, 從 Arial 調整為 Cambria (與 DMS 一樣)(by Ho)
	@date       2021-06-17: Chiuhua + 210501509, 樣版與商店的 footer line-height 在 base.ottocity.css 統一定義
	@date       2022-03-31: Chiuhua # 220302727, 修正 蘋果手機轉橫式後字體被放大的問題, 加 -webkit-text-size-adjust (with #Ellen)
	@date       2024-11-29: Chiuhua # 241101778, 調整 fxlarge, flarge2 line-height 權重, FORD 線上訂單 - 拆版本 延伸改良
*/
* {font-size:16px;font-family:Cambria,Times New Roman,Calibri,Arial,Microsoft JhengHei,Microsoft YaHei,Arial Unicode MS, serif !important;/* font-family:Arial, Helvetica, Microsoft JhengHei, 微軟正黑體, sans-serif !important; */font-weight:normal;font-style:normal;outline:none;margin:0px;padding:0px;-webkit-touch-callout:none;-webkit-user-select:none;-webkit-text-size-adjust:100%;}

*:not(hr):not(code) {line-height:30px;}
/* 2021-06-17: Chiuhua + 210501509, 樣版與商店的 footer line-height 在 base.ottocity.css 統一定義 */
.ft_wrapper, .ft_wrapper * {line-height:1.5em !important;}

@media all and (min-width:351px) and (max-width:650px) {
* {font-size:15px;}
}
@media all and (max-width:350px) {
* {font-size:14px;}
}
/* 橫式裝置文字 rwd */
@media all and (orientation:landscape) and (min-height:351px) and (max-height:650px) {
* {font-size:15px;}
}
@media all and (orientation:landscape) and (max-height:350px) {
* {font-size:14px;}
}

html, body {width:100%;height:100%;}
*, *:after, *:before {box-sizing:border-box;}

/* 因 -webkit-user-select:none 會導致 iphone 無法正常顯示 input 操作指標，故要改設定 auto */
textarea, input {-webkit-user-select:auto;}

/* input[type="text"], input[type="password"], */
input:not([type="checkbox"]):not([type="radio"]), select, textarea, img, iframe {border:0px;}
/* input[type="text"], input[type="password"], */
input:not([type="checkbox"]):not([type="radio"]), select, textarea {width:100%;background:none;}

input, img {vertical-align:middle;}
img[src=""] {display:none;}

/* 2020-09-09: Chiuhua + remove IE11 input clear symbol */
::-ms-clear {display:none;}

li {list-style:none;}
ins {text-decoration:none;}
br {line-height:0px !important;}
textarea {resize:none;}
button:focus {outline:none;} /* for IE */
button::-moz-focus-inner {border-color:transparent;} /* for FF */

/* pre tag 自動換行, white-space 不能用 normal, 否則 user 自行做的換行會被吃掉 */
pre {white-space:pre-wrap;word-break:break-word;}

/* font 相關 */
/* 2024-11-29: Chiuhua # 241101778, 調整 fxlarge, flarge2 line-height 權重, FORD 線上訂單 - 拆版本 延伸改良 */
.fxlarge, .fxlarge * {font-size:1.56rem !important;line-height:1.5em !important;}
.flarge2, .flarge2 * {font-size:1.3rem !important;line-height:1.5em !important;}
.flarge, .flarge * {font-size:1.15rem !important;}
.fsmall, .fsmall * {font-size:0.9375rem !important;}
.fsmall2, .fsmall2 * {font-size:0.875rem !important;}
.fxsmall, .fxsmall * {font-size:0.8125rem !important;}
.fxsmall2, .fxsmall2 * {font-size:0.75rem !important;}
.fbold, .fbold * {font-weight:bold !important;}

/* 文字刪除線 */
.flinethro {text-decoration:line-through;}

/* 文字不要省略符號 font not ellipsis */
.fnoellip {text-overflow:initial !important;}

/* 文字 rwd 縮小 - 在 手機 與 7"小平版 時文字縮小, 大平版文字不縮放 */
@media all and (max-width:650px) {
.rwd_fsmall, .rwd_fsmall * {font-size:0.9375rem !important;}
.rwd_fsmall2, .rwd_fsmall2 * {font-size:0.875rem !important;}
.rwd_fxsmall, .rwd_fxsmall * {font-size:0.8125rem !important;}
.rwd_fxsmall2, .rwd_fxsmall2 * {font-size:0.75rem !important;}
}
/* 橫式裝置文字 rwd */
@media all and (orientation:landscape) and (max-height:650px) {
.rwd_fsmall, .rwd_fsmall * {font-size:0.9375rem !important;}
.rwd_fsmall2, .rwd_fsmall2 * {font-size:0.875rem !important;}
.rwd_fxsmall, .rwd_fxsmall * {font-size:0.8125rem !important;}
.rwd_fxsmall2, .rwd_fxsmall2 * {font-size:0.75rem !important;}
}

/* .fbase 擺放順序必須在縮放的樣式之後 */
.fbase, .fbase * {font-size:1rem !important;}

/* 去換行符空白, 使用 webkit 的私有屬性，讓字體大小不受設備終端的調整，可定義 font-size 小於 12px */
.deinlinespace {font-size:0px !important;-webkit-text-size-adjust:none;}